<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: src/liste_malus.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">liste_malus.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Fichier qui gere les malus.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="liste__malus_8h_source.html">../include/liste_malus.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a1e5fbfaf08684a2b0ea71869d73caef1"><td class="memItemLeft" align="right" valign="top"><a id="a1e5fbfaf08684a2b0ea71869d73caef1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>MAX_MALUS</b>&#160;&#160;&#160;30</td></tr>
<tr class="separator:a1e5fbfaf08684a2b0ea71869d73caef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a95e03a44d0aa76b51655b3e545289c95"><td class="memItemLeft" align="right" valign="top"><a id="a95e03a44d0aa76b51655b3e545289c95"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_initialiser</b> ()</td></tr>
<tr class="separator:a95e03a44d0aa76b51655b3e545289c95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1376553246c3b3c91280f658ef412612"><td class="memItemLeft" align="right" valign="top"><a id="a1376553246c3b3c91280f658ef412612"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_ajouter</b> (<a class="el" href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">type_malus_t</a> type, int duree, <a class="el" href="structpersonnage__s.html">personnage_t</a> *cible, int val_malus)</td></tr>
<tr class="separator:a1376553246c3b3c91280f658ef412612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb486cd4377e528d1af0f6725dfa77e"><td class="memItemLeft" align="right" valign="top"><a id="aabb486cd4377e528d1af0f6725dfa77e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_afficher</b> ()</td></tr>
<tr class="separator:aabb486cd4377e528d1af0f6725dfa77e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab496ec8c752fe2a19d5cd61e0d84cdb4"><td class="memItemLeft" align="right" valign="top"><a id="ab496ec8c752fe2a19d5cd61e0d84cdb4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_actualiser</b> ()</td></tr>
<tr class="separator:ab496ec8c752fe2a19d5cd61e0d84cdb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a42586a141bdce98d91f25e83bad68"><td class="memItemLeft" align="right" valign="top"><a id="af8a42586a141bdce98d91f25e83bad68"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_vider</b> ()</td></tr>
<tr class="separator:af8a42586a141bdce98d91f25e83bad68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa098f10c38b5077a33bfd22dfb45078"><td class="memItemLeft" align="right" valign="top"><a id="aaa098f10c38b5077a33bfd22dfb45078"></a>
err_t&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_detruire</b> ()</td></tr>
<tr class="separator:aaa098f10c38b5077a33bfd22dfb45078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d145eed2a0d82aff0f8739ecc235837"><td class="memItemLeft" align="right" valign="top"><a id="a0d145eed2a0d82aff0f8739ecc235837"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_supprimer</b> (int ind)</td></tr>
<tr class="separator:a0d145eed2a0d82aff0f8739ecc235837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e7cf6482c8086766c3932f37fdc7f6c"><td class="memItemLeft" align="right" valign="top"><a id="a4e7cf6482c8086766c3932f37fdc7f6c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_pleine</b> ()</td></tr>
<tr class="separator:a4e7cf6482c8086766c3932f37fdc7f6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc62f47523f6e2dc79b902ffeed25b08"><td class="memItemLeft" align="right" valign="top"><a id="afc62f47523f6e2dc79b902ffeed25b08"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>liste_malus_vide</b> ()</td></tr>
<tr class="separator:afc62f47523f6e2dc79b902ffeed25b08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Fichier qui gere les malus. </p>
<dl class="section author"><dt>Author</dt><dd></dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd></dd></dl>
<p>Divers fonction sur la liste des malus </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
